CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

SolidFill Property (ActiveX)

2023-1-3 05:58| 发布者: admin| 查看: 215| 评论: 0|来自: AutoCAD

摘要: 指定是否填充迹线、实体、所有填充线(包括实体填充)和宽折线。

指定是否填充迹线、实体、所有填充线(包括实体填充)和宽折线。

支持的平台:仅窗口

签名

工 务 局:

object.SolidFill
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:显示实心填充。
  • False:不显示实心填充。

言论

此属性的初始值为。True

注意:此属性的值存储在 FILLMODE 系统变量中。

例子

工 务 局:

Sub Example_SolidFill()
    ' This example reads and modifies the preference value that controls
    ' whether multilines, traces, solids, all hatches (including solid-fill)
    ' and wide polylines are filled in.
    '
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadDatabasePreferences
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.Preferences
    
    ' Read and display the original value
    originalValue = ACADPref.SolidFill
    MsgBox "The SolidFill preference is set to: " & originalValue

    ' Modify the SolidFill preference by toggling the value
    ACADPref.SolidFill = Not (ACADPref.SolidFill)
    newValue = ACADPref.SolidFill
    MsgBox "The SolidFill preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.SolidFill = originalValue
    MsgBox "The SolidFill preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_SolidFill()
    ;; This example reads and modifies the preference value that controls
    ;; whether multilines, traces, solids, all hatches (including solid-fill)
    ;; and wide polylines are filled in.
    ;;
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    (setq preferences (vla-get-Preferences doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-SolidFill preferences))
    (alert (strcat "The SolidFill preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the SolidFill preference by toggling the value
    (vla-put-SolidFill preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-SolidFill preferences))
    (alert (strcat "The SolidFill preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-SolidFill preferences originalValue)
    (alert (strcat "The SolidFill preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 10:46

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部